/*
 * Copyright (c) 2009 Mysema Ltd
 * All rights reserved.
 * 
 */
package com.mysema.commons.web;

import java.io.IOException;

import javax.servlet.*;

/**
 * CharSetEncodingFilter provides
 *
 * @author tiwe
 * @version $Id$
 */
public class CharSetEncodingFilter implements Filter{

    private String charSet = "UTF-8";
    
    public void destroy() {        
    }

    public void doFilter(ServletRequest request, ServletResponse response,
            FilterChain chain) throws IOException, ServletException {        
        request.setCharacterEncoding(charSet);
        response.setContentType("text/html; charset=" + charSet);
        response.setCharacterEncoding(charSet);
        chain.doFilter(request, response);
        
    }

    public void init(FilterConfig filterConfig) throws ServletException {
    	if (filterConfig.getInitParameter("charSet") != null){
    		charSet = filterConfig.getInitParameter("charSet");	
    	}                
    }

}
