/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.web;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * CookieUtil provides
 *
 * @author tiwe
 * @version $Id$
 */
public final class CookieUtil {
	
	private CookieUtil(){}
    
    public static String getCookieValue(HttpServletRequest req, String name){
        if (req.getCookies() != null){
            for (Cookie cookie : req.getCookies()){
                if (cookie.getName().equals(name)){
                    return cookie.getValue();
                }
            }    
        }        
        return null;
    }
    
    public static void setCookieValue(HttpServletResponse res, String name, String value){
        Cookie cookie = new Cookie(name,value);
        cookie.setPath("/");
        res.addCookie(cookie);
    }
    

}
